### Enumeration

# Gio FileAttributeStatus

since: 2.0

#### Declaration

    enum Gio.FileAttributeStatus

#### Description

Used by `g_file_set_attributes_from_info()` when setting file attributes.

Available since: 2.0

#### Members

`G_FILE_ATTRIBUTE_STATUS_UNSET`

  Attribute value is unset (empty).

  - Value: `0`
  - Nickname: `unset`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_STATUS_SET`

  Attribute value is set.

  - Value: `1`
  - Nickname: `set`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_STATUS_ERROR_SETTING`

  Indicates an error in setting the value.

  - Value: `2`
  - Nickname: `error-setting`
  - Available since: 2.0